Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat.graphics
Class ColorScheme

    java.lang.Object
      com.huguesjohnson.tiamat.graphics.ColorScheme

All Implemented Interfaces:
  Storable

    public class ColorScheme

extends java.lang.Object
implements Storable

ColorScheme.java - stores a color scheme for a dialog or frame

Author:
  Hugues Johnson

Field Summary
`static java.awt.Color` | `DEFAULT_BACKCOLOR` Default backcolor (198,198,198).
`static java.awt.Color` | `DEFAULT_BORDERCOLOR` Default bordercolor (99,99,156).
`static java.awt.Color` | `DEFAULT_BORDERINSETCOLOR` Default borderinset color (198,198,198).
`static java.awt.Color` | `DEFAULT_FORECOLOR` Default forecolor (99,99,156).

Constructor Summary
`ColorScheme()` Default constructor, uses default settings for everything.
`ColorScheme(java.awt.Color foreColor, java.awt.Color backColor)` Constructor, uses specified colors.
`ColorScheme(java.awt.Color foreColor, java.awt.Color backColor, java.awt.Color borderColor, java.awt.Color borderInsetColor)` Constructor, uses specified colors.

Method Summary
`java.awt.Color` | `getBackColor()` Returns the background color.
`java.awt.Color` | `getBorderColor()` Returns the border color.
`java.awt.Color` | `getBorderInsetColor()` Returns the border inset color.
`java.awt.Color` | `getForeColor()` Returns the foreground color.
`void` | `onDeserialize(Formatter formatter, java.lang.String absoluteDir)` The onDeserialize event should be fired after an object is de-serialized.
`void` | `setBackColor(java.awt.Color backColor)` Sets the background color.
`void` | `setBorderColor(java.awt.Color borderColor)` Sets the border color.
`void` | `setBorderInsetColor(java.awt.Color borderInsetColor)` Sets the border insert color.
`void` | `setForeColor(java.awt.Color foreColor)` Sets the foreground color.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_FORECOLOR

    public static final java.awt.Color DEFAULT_FORECOLOR

  Default forecolor (99,99,156).

### DEFAULT_BACKCOLOR

    public static final java.awt.Color DEFAULT_BACKCOLOR

  Default backcolor (198,198,198).

### DEFAULT_BORDERCOLOR

    public static final java.awt.Color DEFAULT_BORDERCOLOR

  Default bordercolor (99,99,156).

### DEFAULT_BORDERINSETCOLOR

    public static final java.awt.Color DEFAULT_BORDERINSETCOLOR

  Default borderinset color (198,198,198).

Constructor Detail

### ColorScheme

    public ColorScheme()

  Default constructor, uses default settings for everything.

### ColorScheme

    public ColorScheme(java.awt.Color foreColor,
                       java.awt.Color backColor)

  Constructor, uses specified colors.

  Parameters:
    `foreColor` - The foreground and border color.
    `backColor` - The background and border inset color.

### ColorScheme

    public ColorScheme(java.awt.Color foreColor,
                       java.awt.Color backColor,
                       java.awt.Color borderColor,
                       java.awt.Color borderInsetColor)

  Constructor, uses specified colors.

  Parameters:
    `foreColor` - The foreground color.
    `backColor` - The background and border inset color.
    `borderColor` - The border color.
    `borderInsetColor` - The border inset color.

Method Detail

### getForeColor

    public java.awt.Color getForeColor()

  Returns the foreground color.

  Returns:
    The foreground color.

### setForeColor

    public void setForeColor(java.awt.Color foreColor)

  Sets the foreground color.

  Parameters:
    `foreColor` - The new foreground color.

### getBackColor

    public java.awt.Color getBackColor()

  Returns the background color.

  Returns:
    background color.

### setBackColor

    public void setBackColor(java.awt.Color backColor)

  Sets the background color.

  Parameters:
    `backColor` - The new background color.

### getBorderColor

    public java.awt.Color getBorderColor()

  Returns the border color.

  Returns:
    border color.

### setBorderColor

    public void setBorderColor(java.awt.Color borderColor)

  Sets the border color.

  Parameters:
    `borderColor` - The new border color.

### getBorderInsetColor

    public java.awt.Color getBorderInsetColor()

  Returns the border inset color.

  Returns:
    border inset color.

### setBorderInsetColor

    public void setBorderInsetColor(java.awt.Color borderInsetColor)

  Sets the border insert color.

  Parameters:
    `borderInsetColor` - The new border inset color color.

### onDeserialize

    public void onDeserialize(Formatter formatter,
                              java.lang.String absoluteDir)

  The onDeserialize event should be fired after an object is de-serialized. This allows objects to load transient members, set their working directory, and load Storable members if needed.

  Specified by:
    `onDeserialize` in interface `Storable`
  Parameters:
    `formatter` - the formatter to use to load any storable members
    `absoluteDir` - the working directory since all paths stored in the object should be relative

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hugues Johnson